#################################################
#
#  (C) 2017 Slávek Banko
#  slavek (DOT) banko (AT) axis.cz
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}/../plugins
  ${CMAKE_SOURCE_DIR}/libkcddb
  ${TQT_INCLUDE_DIRS}
  ${TDE_INCLUDE_DIR}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### kcm_audiocd (module) ######################

tde_add_kpart( kcm_audiocd AUTOMOC
  SOURCES
    audiocdconfig.ui kcmaudiocd.cpp
  LINK
    tdeui-shared audiocdplugins-shared
  DESTINATION ${PLUGIN_INSTALL_DIR}
)


##### other data ################################

tde_create_translated_desktop(
  SOURCE audiocd.desktop
  PO_DIR tdeio_audiocd-desktops
)
